View Issue Details

IDProjectCategoryView StatusLast Update
0003667GNUnettransport servicepublic2018-06-07 00:25
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityhighSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003667: memory leaks in transport service
Description==12332==
==12332== 128 (48 direct, 80 indirect) bytes in 1 blocks are definitely lost in loss record 50 of 66
==12332== at 0x4C28C20: malloc (vg_replace_malloc.c:296)
==12332== by 0x5A86F80: GNUNET_xmalloc_unchecked_ (common_allocation.c:144)
==12332== by 0x5A86C40: GNUNET_xmalloc_ (common_allocation.c:71)
==12332== by 0x5049CC0: GNUNET_ATS_address_add (ats_api_scheduling.c:720)
==12332== by 0x4071A7: unblock_address (gnunet-service-transport_ats.c:263)
==12332== by 0x5AC14AD: run_ready (scheduler.c:587)
==12332== by 0x5AC1D18: GNUNET_SCHEDULER_run (scheduler.c:816)
==12332== by 0x5AD0339: GNUNET_SERVICE_run (service.c:1503)
==12332== by 0x406E41: main (gnunet-service-transport.c:1109)
==12332==
==12332== 384 (144 direct, 240 indirect) bytes in 3 blocks are definitely lost in loss record 61 of 66
==12332== at 0x4C28C20: malloc (vg_replace_malloc.c:296)
==12332== by 0x5A86F80: GNUNET_xmalloc_unchecked_ (common_allocation.c:144)
==12332== by 0x5A86C40: GNUNET_xmalloc_ (common_allocation.c:71)
==12332== by 0x5049CC0: GNUNET_ATS_address_add (ats_api_scheduling.c:720)
==12332== by 0x407B17: GST_ats_add_inbound_address (gnunet-service-transport_ats.c:392)
==12332== by 0x40623B: plugin_env_session_start (gnunet-service-transport.c:829)
==12332== by 0x75F1B56: ???
==12332== by 0x5AC5DFD: GNUNET_SERVER_inject (server.c:989)
==12332== by 0x5AC6A43: client_message_tokenizer_callback (server.c:1213)
==12332== by 0x5AC90F0: GNUNET_SERVER_mst_receive (server_mst.c:262)
==12332== by 0x5AC6659: process_incoming (server.c:1144)
==12332== by 0x5A913D4: receive_ready (connection.c:1095)
==12332==
==12332== 65,093 (80 direct, 65,013 indirect) bytes in 2 blocks are definitely lost in loss record 66 of 66
==12332== at 0x4C28C20: malloc (vg_replace_malloc.c:296)
==12332== by 0x5A86F80: GNUNET_xmalloc_unchecked_ (common_allocation.c:144)
==12332== by 0x5A86C40: GNUNET_xmalloc_ (common_allocation.c:71)
==12332== by 0x40D73B: clients_handle_send (gnunet-service-transport_clients.c:792)
==12332== by 0x5AC5DFD: GNUNET_SERVER_inject (server.c:989)
==12332== by 0x5AC6A43: client_message_tokenizer_callback (server.c:1213)
==12332== by 0x5AC90F0: GNUNET_SERVER_mst_receive (server_mst.c:262)
==12332== by 0x5AC6659: process_incoming (server.c:1144)
==12332== by 0x5A913D4: receive_ready (connection.c:1095)
==12332== by 0x5AC14AD: run_ready (scheduler.c:587)
==12332== by 0x5AC1D18: GNUNET_SCHEDULER_run (scheduler.c:816)
==12332== by 0x5AD0339: GNUNET_SERVICE_run (service.c:1503)
==12332==
TagsNo tags attached.

Activities

Christian Grothoff

2015-02-10 17:45

manager   ~0008859

First two leaks should be fixed with SVN 35209, cannot find the 3rd one.

Christian Grothoff

2015-02-28 18:31

manager   ~0008947

3rd one might have been fixed with RC issue on client_keep.

Issue History

Date Modified Username Field Change
2015-02-10 15:01 Christian Grothoff New Issue
2015-02-10 15:01 Christian Grothoff Status new => assigned
2015-02-10 15:01 Christian Grothoff Assigned To => Matthias Wachs
2015-02-10 17:45 Christian Grothoff Note Added: 0008859
2015-02-11 20:32 Christian Grothoff Assigned To Matthias Wachs =>
2015-02-11 20:32 Christian Grothoff Status assigned => confirmed
2015-02-28 18:31 Christian Grothoff Note Added: 0008947
2015-02-28 18:31 Christian Grothoff Status confirmed => resolved
2015-02-28 18:31 Christian Grothoff Fixed in Version => 0.11.0pre66
2015-02-28 18:31 Christian Grothoff Resolution open => fixed
2015-02-28 18:31 Christian Grothoff Assigned To => Christian Grothoff
2015-02-28 18:31 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed